<script language="javascript">

  setFieldSet_visibleAll( 'fieldSet1', 'hidden' );

function set_atributo( objID )
{
  nrFieldSet = getFieldSet( objID );
  nrField    = getField( objID );

//alert( getFieldSet_label( nrFieldSet, nrField ) );

  if ( fieldSet_enable[ nrFieldSet -1 ][ nrField -1 ] == 1 )
  {
      var txt = loginUSER   + ':' +
                nProjeto_   + ':' +
                objSELECTED + ':' +
                getFieldSet_label( nrFieldSet, nrField ) + ':' +
                getFieldSet_value( nrFieldSet, nrField );
//alert( txt );
      Mensage.set_atributo( txt );

  }// End if()
}// End function()

<?php
  foreach( $fieldSet1_field as $nObj_ => $enable_ )
  {
?>
  field1_ID = findDOM("fieldSet1<?php echo($nObj_);?>_Input");

  if (document.layers)
  {
      // NetScape
      // ========
      //document.captureEvents(Event.MOUSEUP);
      //document.onmouseup = key_Press;
  }else if (document.attachEvent)
  {
      // Internet Explorer 5
      // ===================
      field1_ID.attachEvent( 'onchange'  , fieldSet1_onChange );
      field1_ID.attachEvent( 'onblur'    , fieldSet1_onBlur );
      field1_ID.attachEvent( 'onfocus'   , fieldSet1_onFocus );
  }else if (document.addEventListener)
  {
      // Mozilla
      // =======
      field1_ID.addEventListener( 'keypress', fieldSet1_keyPress, false );
      field1_ID.addEventListener( 'blur'    , fieldSet1_onBlur, false );
      field1_ID.addEventListener( 'focus'   , fieldSet1_onFocus, false );
  }else
  {
      document.keypress = fieldSet1_keyPress;
      document.onblur   = fieldSet1_onBlur;
      document.onfocus  = fieldSet1_onFocus;
  }// End if (document.layers)

<?php
  }// End
?>

  function fieldSet1_onChange( evt )
  {
//alert();
    var objID = getObjEvento(evt);
//alert(objID);
    set_atributo( objID );

  }

  function fieldSet1_onBlur(evt)
  {
    var objID = getObjEvento(evt);
    nrFieldSet = getFieldSet( objID );
    nrField    = getField( objID );

    setFieldSet_select( nrFieldSet, nrField, false );
    //alert('onBlur' );
  }
  
  function fieldSet1_onFocus(evt)
  {
    var objID = getObjEvento(evt);
    nrFieldSet = getFieldSet( objID );
    nrField    = getField( objID );

    setFieldSet_select( nrFieldSet, nrField, true );

  }
</script>


